Skip to main content
GET
/
api
/
engagements
/
card
/
{engagement-id}
/
customer
Get customer by engagement
curl --request GET \
  --url https://partner-card.test.public.rockerapi.dev/api/engagements/card/{engagement-id}/customer \
  --header 'Authorization: Basic <encoded-value>'
{
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": {
    "streetLine1": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "country": "<string>",
    "streetLine2": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

engagement-id
string<uuid>
required

Response

customerId
string<uuid>
required
address
HttpAddress · object